org.gradle.api.artifacts.repositories

## Interface PasswordCredentials

- All Superinterfaces:
    Credentials

      public interface PasswordCredentials
      extends Credentials

  A username/password credentials that can be used to login to password-protected remote repository.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getPassword()` Returns the password to use when authenticating to this repository.
    `String` | `getUsername()` Returns the user name to use when authenticating to this repository.
    `void` | `setPassword(String password)` Sets the password to use when authenticating to this repository.
    `void` | `setUsername(String userName)` Sets the user name to use when authenticating to this repository.

- - ### Method Detail

    - #### getUsername

          String getUsername()

      Returns the user name to use when authenticating to this repository.
      Returns:
        The user name. May be null.

    - #### setUsername

          void setUsername(String userName)

      Sets the user name to use when authenticating to this repository.
      Parameters:
        `userName` - The user name. May be null.

    - #### getPassword

          String getPassword()

      Returns the password to use when authenticating to this repository.
      Returns:
        The password. May be null.

    - #### setPassword

          void setPassword(String password)

      Sets the password to use when authenticating to this repository.
      Parameters:
        `password` - The password. May be null.